#
# spec file for package keuro (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libz qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         keuro
Copyright:    GPL
Group:        X11/KDE/Utilities
Summary:      Euro calculator
Version:      1.0
Release:      357
Source0:      keuro-1.0.tar.gz
Patch0: keuro-1.0.dif

%description
A small calculator that can convert european currencies into
Euro and vice versa.

Authors:
--------
    Christoph Pinkel <de_cp@yahoo.com>

SuSE series: kde

%prep
%setup -n keuro-1.0
%patch -p 0 -E

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
%{?suse_update_config:%{suse_update_config -f . }}
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./keuro/pics/Makefile.in --reference=./aclocal.m4
touch ./keuro/Makefile.in --reference=./aclocal.m4
touch ./configure --reference=./aclocal.m4
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
make

%install
make install

%files
%doc COPYING AUTHORS ChangeLog INSTALL README 
%docdir /opt/kde/share/doc
%dir /opt/kde/share/apps/keuro
%dir /opt/kde/share/apps/keuro/pics
/opt/kde/bin/keuro
/opt/kde/share/applnk/Utilities/keuro.kdelnk
/opt/kde/share/apps/keuro/pics/eu-tux.xpm
/opt/kde/share/icons/keuro.xpm
/opt/kde/share/icons/mini/keuro.xpm

%changelog -n keuro
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Mon Aug 13 2001 - ro@suse.de
- automake fixes
* Thu May 25 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Thu May 25 2000 - adrian@suse.de
- Spec file created from keuro-1.0.tar.gz by autospec
* Thu Apr 06 2000 - adrian@suse.de
- fix for alpha
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Fri Nov 19 1999 - kettner@suse.de
- Spec file created from keuro-1.0.tar.gz by autospec
